Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.util.exec
Class ExecHandleBuilder

    java.lang.Object
      org.gradle.util.exec.ExecHandleBuilder

    public class ExecHandleBuilder

extends java.lang.Object

Constructor Summary
`ExecHandleBuilder()`
`ExecHandleBuilder(boolean outputDirectFlush)`
`ExecHandleBuilder(java.io.File execDirectory)`
`ExecHandleBuilder(java.io.File execDirectory, java.lang.String execCommand)`
`ExecHandleBuilder(java.lang.String execCommand)`

Method Summary
`ExecHandleBuilder` | `arguments(java.util.List<java.lang.String> arguments)`
`ExecHandleBuilder` | `arguments(java.lang.String... arguments)`
`ExecHandleBuilder` | `clearArguments()`
`ExecHandleBuilder` | `clearEnvironment()`
`ExecHandleBuilder` | `clearListeners()`
`ExecHandleBuilder` | `environment(java.util.Map<java.lang.String,java.lang.String> values)`
`ExecHandleBuilder` | `environment(java.lang.String key, java.lang.String value)`
`ExecHandleBuilder` | `errorOutput(java.io.OutputStream outputStream)`
`ExecHandleBuilder` | `errorOutputHandle(ExecOutputHandle errorOutputHandle)`
`ExecHandleBuilder` | `execCommand(java.lang.String execCommand)`
`ExecHandleBuilder` | `execDirectory(java.io.File execDirectory)`
`java.util.List<java.lang.String>` | `getArguments()`
`java.lang.String` | `getExecCommand()`
`java.io.File` | `getExecDirectory()`
`ExecHandle` | `getExecHandle()`
`ExecHandleBuilder` | `inheritEnvironment()`
`ExecHandleBuilder` | `inheritEnvironmentWithKeys(java.lang.String... keys)`
`ExecHandleBuilder` | `inheritEnvironmentWithoutKeys(java.lang.String... keys)`
`ExecHandleBuilder` | `keepWaitingTimeout(long keepWaitingTimeout)`
`ExecHandleBuilder` | `listeners(ExecHandleListener... listeners)`
`ExecHandleBuilder` | `normalTerminationExitCode(int normalTerminationExitCode)`
`ExecHandleBuilder` | `notifierFactory(ExecHandleNotifierFactory notifierFactory)`
`ExecHandleBuilder` | `prependedFileArguments(java.lang.String prefix, java.util.List<java.io.File> arguments)`
`ExecHandleBuilder` | `prependedStringArguments(java.lang.String prefix, java.util.List<java.lang.String> arguments)`
`ExecHandleBuilder` | `standardOutput(java.io.OutputStream outputStream)`
`ExecHandleBuilder` | `standardOutputHandle(ExecOutputHandle standardOutputHandle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecHandleBuilder

    public ExecHandleBuilder()

### ExecHandleBuilder

    public ExecHandleBuilder(boolean outputDirectFlush)

### ExecHandleBuilder

    public ExecHandleBuilder(java.io.File execDirectory)

### ExecHandleBuilder

    public ExecHandleBuilder(java.lang.String execCommand)

### ExecHandleBuilder

    public ExecHandleBuilder(java.io.File execDirectory,
                             java.lang.String execCommand)

Method Detail

### execDirectory

    public ExecHandleBuilder execDirectory(java.io.File execDirectory)

### getExecDirectory

    public java.io.File getExecDirectory()

### execCommand

    public ExecHandleBuilder execCommand(java.lang.String execCommand)

### getExecCommand

    public java.lang.String getExecCommand()

### clearArguments

    public ExecHandleBuilder clearArguments()

### arguments

    public ExecHandleBuilder arguments(java.lang.String... arguments)

### getArguments

    public java.util.List<java.lang.String> getArguments()

### normalTerminationExitCode

    public ExecHandleBuilder normalTerminationExitCode(int normalTerminationExitCode)

### prependedStringArguments

    public ExecHandleBuilder prependedStringArguments(java.lang.String prefix,
                                                      java.util.List<java.lang.String> arguments)

### prependedFileArguments

    public ExecHandleBuilder prependedFileArguments(java.lang.String prefix,
                                                    java.util.List<java.io.File> arguments)

### environment

    public ExecHandleBuilder environment(java.lang.String key,
                                         java.lang.String value)

### environment

    public ExecHandleBuilder environment(java.util.Map<java.lang.String,java.lang.String> values)

### clearEnvironment

    public ExecHandleBuilder clearEnvironment()

### inheritEnvironment

    public ExecHandleBuilder inheritEnvironment()

### inheritEnvironmentWithKeys

    public ExecHandleBuilder inheritEnvironmentWithKeys(java.lang.String... keys)

### inheritEnvironmentWithoutKeys

    public ExecHandleBuilder inheritEnvironmentWithoutKeys(java.lang.String... keys)

### keepWaitingTimeout

    public ExecHandleBuilder keepWaitingTimeout(long keepWaitingTimeout)

### standardOutputHandle

    public ExecHandleBuilder standardOutputHandle(ExecOutputHandle standardOutputHandle)

### standardOutput

    public ExecHandleBuilder standardOutput(java.io.OutputStream outputStream)

### errorOutputHandle

    public ExecHandleBuilder errorOutputHandle(ExecOutputHandle errorOutputHandle)

### errorOutput

    public ExecHandleBuilder errorOutput(java.io.OutputStream outputStream)

### clearListeners

    public ExecHandleBuilder clearListeners()

### listeners

    public ExecHandleBuilder listeners(ExecHandleListener... listeners)

### notifierFactory

    public ExecHandleBuilder notifierFactory(ExecHandleNotifierFactory notifierFactory)

### getExecHandle

    public ExecHandle getExecHandle()

### arguments

    public ExecHandleBuilder arguments(java.util.List<java.lang.String> arguments)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD